#ifndef __COMUNICATION_H
#define __COMUNICATION_H

#include "stdint.h"

#define MASKMES 0XF0

#define WRITETABHEU	0x00
#define WRITETABVAL	0x10
#define READVENT	0x30
#define WRITVENT	0x40
#define ERRORCOM	0x50
#define	WRITEVAL	0x60
#define STOP		0x70
#define RETABLIR	0x80
#define SYNCRTC		0x90

#define MASKID 0x07
#define MASKTYPE 0x08

uint8_t Com_dispactch(uint8_t* mes);

void Com_WriteTabHeure(uint8_t* mes);

void Com_WriteTabVal(uint8_t* mes);

void Com_ReadVent(uint8_t* mes);

void Com_WriteVent(uint8_t* mes);

void Com_ERROR(uint8_t* mes);

void Com_WriteVal(uint8_t* mes);

void Com_STOP(uint8_t* mes);

void Com_Retablir(uint8_t* mes);

void Com_SyncRTC(uint8_t* mes);

#endif

